osgDB::FieldReaderIterator Class Reference

`#include <Input>`

Inheritance diagram for osgDB::FieldReaderIterator:

## Public Types

enum | { MINIMUM_FIELD_READER_QUEUE_SIZE = 10 }

## Public Member Functions

| FieldReaderIterator ()
| FieldReaderIterator (const FieldReaderIterator &ic)
virtual | ~FieldReaderIterator ()
FieldReaderIterator & | operator= (const FieldReaderIterator &ic)
void | attach (std::istream *input)
void | detach ()
virtual bool | eof () const
FieldReader & | getFieldReader ()
void | insert (int pos, Field *field)
void | insert (int pos, const char *str)
Field & | operator[] (int pos)
Field & | field (int pos)
FieldReaderIterator & | operator++ ()
FieldReaderIterator & | operator+= (int no)
void | advanceOverCurrentFieldOrBlock ()
void | advanceToEndOfCurrentBlock ()
void | advanceToEndOfBlock (int noNestBrackets)
bool | matchSequence (const char *str)
bool | readSequence (const char *keyword, std::string &value)
bool | readSequence (const char *keyword, unsigned int &value)
bool | readSequence (const char *keyword, int &value)
bool | readSequence (const char *keyword, float &value)
bool | readSequence (const char *keyword, osg::Vec2f &value)
bool | readSequence (const char *keyword, osg::Vec3f &value)
bool | readSequence (const char *keyword, osg::Vec4f &value)
bool | readSequence (const char *keyword, osg::Vec2d &value)
bool | readSequence (const char *keyword, osg::Vec3d &value)
bool | readSequence (const char *keyword, osg::Vec4d &value)
bool | readSequence (std::string &value)
bool | readSequence (unsigned int &value)
bool | readSequence (int &value)
bool | readSequence (float &value)
bool | readSequence (osg::Vec2f &value)
bool | readSequence (osg::Vec3f &value)
bool | readSequence (osg::Vec4f &value)
bool | readSequence (osg::Vec2d &value)
bool | readSequence (osg::Vec3d &value)
bool | readSequence (osg::Vec4d &value)

## Detailed Description

deprecated.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
MINIMUM_FIELD_READER_QUEUE_SIZE |

## Constructor & Destructor Documentation

## FieldReaderIterator() [1/2]

osgDB::FieldReaderIterator::FieldReaderIterator | ( |  | ) |

Referenced by FieldReaderIterator(), operator++(), operator+=(), operator=(), and readSequence().

## FieldReaderIterator() [2/2]

osgDB::FieldReaderIterator::FieldReaderIterator | ( | const FieldReaderIterator & | ic | ) |

References FieldReaderIterator().

## ~FieldReaderIterator()

virtual osgDB::FieldReaderIterator::~FieldReaderIterator | ( |  | ) |

virtual

## Member Function Documentation

## advanceOverCurrentFieldOrBlock()

void osgDB::FieldReaderIterator::advanceOverCurrentFieldOrBlock | ( |  | ) |

increments the iterator of the next simple field or whole block if the current field[0] is an open bracket

## advanceToEndOfBlock()

void osgDB::FieldReaderIterator::advanceToEndOfBlock | ( | int | noNestBrackets | ) |

## advanceToEndOfCurrentBlock()

void osgDB::FieldReaderIterator::advanceToEndOfCurrentBlock | ( |  | ) |

## attach()

void osgDB::FieldReaderIterator::attach | ( | std::istream * | input | ) |

## detach()

void osgDB::FieldReaderIterator::detach | ( |  | ) |

## eof()

virtual bool osgDB::FieldReaderIterator::eof | ( |  | ) | const

virtual

## field()

Field & osgDB::FieldReaderIterator::field | ( | int | pos | ) |

Referenced by insert().

## getFieldReader()

FieldReader & osgDB::FieldReaderIterator::getFieldReader | ( |  | ) |

inline

## insert() [1/2]

void osgDB::FieldReaderIterator::insert | ( | int | pos,
|  | const char * | str )

## insert() [2/2]

void osgDB::FieldReaderIterator::insert | ( | int | pos,
|  | Field * | field )

References field().

## matchSequence()

bool osgDB::FieldReaderIterator::matchSequence | ( | const char * | str | ) |

Referenced by osgWidget::Style::_match().

## operator++()

FieldReaderIterator & osgDB::FieldReaderIterator::operator++ | ( |  | ) |

References FieldReaderIterator().

## operator+=()

FieldReaderIterator & osgDB::FieldReaderIterator::operator+= | ( | int | no | ) |

References FieldReaderIterator().

## operator=()

FieldReaderIterator & osgDB::FieldReaderIterator::operator= | ( | const FieldReaderIterator & | ic | ) |

References FieldReaderIterator().

## operator[]()

Field & osgDB::FieldReaderIterator::operator[] | ( | int | pos | ) |

## readSequence() [1/20]

bool osgDB::FieldReaderIterator::readSequence | ( | const char * | keyword,
|  | float & | value )

## readSequence() [2/20]

bool osgDB::FieldReaderIterator::readSequence | ( | const char * | keyword,
|  | int & | value )

## readSequence() [3/20]

bool osgDB::FieldReaderIterator::readSequence | ( | const char * | keyword,
|  | osg::Vec2d & | value )

## readSequence() [4/20]

bool osgDB::FieldReaderIterator::readSequence | ( | const char * | keyword,
|  | osg::Vec2f & | value )

## readSequence() [5/20]

bool osgDB::FieldReaderIterator::readSequence | ( | const char * | keyword,
|  | osg::Vec3d & | value )

## readSequence() [6/20]

bool osgDB::FieldReaderIterator::readSequence | ( | const char * | keyword,
|  | osg::Vec3f & | value )

## readSequence() [7/20]

bool osgDB::FieldReaderIterator::readSequence | ( | const char * | keyword,
|  | osg::Vec4d & | value )

## readSequence() [8/20]

bool osgDB::FieldReaderIterator::readSequence | ( | const char * | keyword,
|  | osg::Vec4f & | value )

## readSequence() [9/20]

bool osgDB::FieldReaderIterator::readSequence | ( | const char * | keyword,
|  | std::string & | value )

## readSequence() [10/20]

bool osgDB::FieldReaderIterator::readSequence | ( | const char * | keyword,
|  | unsigned int & | value )

## readSequence() [11/20]

bool osgDB::FieldReaderIterator::readSequence | ( | float & | value | ) |

## readSequence() [12/20]

bool osgDB::FieldReaderIterator::readSequence | ( | int & | value | ) |

## readSequence() [13/20]

bool osgDB::FieldReaderIterator::readSequence | ( | osg::Vec2d & | value | ) |

## readSequence() [14/20]

bool osgDB::FieldReaderIterator::readSequence | ( | osg::Vec2f & | value | ) |

## readSequence() [15/20]

bool osgDB::FieldReaderIterator::readSequence | ( | osg::Vec3d & | value | ) |

## readSequence() [16/20]

bool osgDB::FieldReaderIterator::readSequence | ( | osg::Vec3f & | value | ) |

## readSequence() [17/20]

bool osgDB::FieldReaderIterator::readSequence | ( | osg::Vec4d & | value | ) |

References FieldReaderIterator().

## readSequence() [18/20]

bool osgDB::FieldReaderIterator::readSequence | ( | osg::Vec4f & | value | ) |

## readSequence() [19/20]

bool osgDB::FieldReaderIterator::readSequence | ( | std::string & | value | ) |

## readSequence() [20/20]

bool osgDB::FieldReaderIterator::readSequence | ( | unsigned int & | value | ) |

The documentation for this class was generated from the following file:

- osgDB/Input